use crate::models::core;
use crate::protobuf::rpc;
use crate::models::member;
 
const SUBJECT: &str = "bet.beteran.ss.member.identity";
const EVENT_SUBJECT: &str = "bet.beteran.ss.event.member.identity";


pub const SUBJECT_CHECK_USERNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckUsernameForDuplication");
/// subject = bet.beteran.ss.member.identity.CheckUsernameForDuplication;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub username: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<check_username_for_duplication_response::Result>,
}
/// Nested message and enum types in `CheckUsernameForDuplicationResponse`.
pub mod check_username_for_duplication_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(bool, tag = "1")]
    pub duplicated: bool,
  }
}
pub const SUBJECT_CHECK_NICKNAME_FOR_DUPLICATION: &str =
  const_format::concatcp!(SUBJECT, ".CheckNicknameForDuplication");
/// subject = bet.beteran.ss.member.identity.CheckNicknameForDuplication;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub nickname: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<check_nickname_for_duplication_response::Result>,
}
/// Nested message and enum types in `CheckNicknameForDuplicationResponse`.
pub mod check_nickname_for_duplication_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(bool, tag = "1")]
    pub duplicated: bool,
  }
}
pub const SUBJECT_CAPTCHA: &str = const_format::concatcp!(SUBJECT, ".Captcha");
/// subject = bet.beteran.ss.member.identity.Captcha
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<captcha_response::Result>,
}
/// Nested message and enum types in `CaptchaResponse`.
pub mod captcha_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(string, tag = "1")]
    pub security_code_hash: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub image: ::prost::alloc::string::String,
  }
}
pub const SUBJECT_SIGNIN: &str = const_format::concatcp!(SUBJECT, ".Signin");
/// subject = bet.beteran.ss.member.identity.Signin
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<core::network::Client>,
  #[prost(string, tag = "2")]
  pub security_code_hash: ::prost::alloc::string::String,
  #[prost(string, tag = "3")]
  pub security_code: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub username: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub password: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct SigninResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<signin_response::Result>,
}
/// Nested message and enum types in `SigninResponse`.
pub mod signin_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(string, tag = "1")]
    pub access_token: ::prost::alloc::string::String,
  }
}

pub const EVENT_SUBJECT_AFTER_SIGNIN: &str = const_format::concatcp!(EVENT_SUBJECT, ".AfterSignin");
/// subject = bet.beteran.ss.event.member.identity.AfterSignin
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct AfterSigninEvent {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub member: ::core::option::Option<member::Member>,
}
